class captagent::service (
 $service_ensure,
 $service_enable,
 $service_name,
 $service_manage,
)

{
 if ! ($service_ensure in [ 'running', 'stopped' ]) {
   fail('service_ensure parameter must be running or stopped')
 }
 if ($service_manage == true) and ($service_enable == true)  {
   service { 'captagent':
     ensure     => $service_ensure,
     enable     => $service_enable,
     name       => $service_name,
     hasstatus  => true,
     hasrestart => true,
   }
 }
 elsif ($service_manage == true) and ($service_enable == false) {
  exec { 'stop captagent':
    command     => "/sbin/service captagent stop",
    returns     => [1],
  }
 }

}
