class captagent::params {
 $config_template = 'captagent/captagent.xml.erb'
 $captagent_init_template = 'captagent/captagent.erb'
 $captagent_sysconfig_template = 'captagent/captagent.sysconfig.erb'
 $package_ensure  = 'present'
 $service_enable  = true
 $service_ensure = 'running'
 $service_manage = true
 $filestore = 'puppet:///files/CAPTAGENT'
 $workspace = '/usr/src'
 $package   = 'captagent.tar.gz'
 $captagent_folder = 'CAPTAGENT'
 $capture_host     =  '127.0.0.1'
 $capture_port     =  '9060'
 $capture_interface = 'eth0'
 $capture_id = '2001'
 case $::osfamily {
     'redhat': {
      $config   = '/usr/local/etc/captagent.xml'
      $captagent_init = '/etc/init.d/captagent'
      $captagent_sysconfig = '/etc/sysconfig/captagent'
      $package_name =   [ 'captagent' ]
      $service_name =   'captagent'
  }
  default: {
      fail("The ${module_name} module is not supported on an ${::osfamily} based system.")
    }
 }
}

